Is it possible to downgrade from 9.2.0-20E to 2.1 to get OTP?

Discussion in '3DS - Homebrew Development and Emulators' started by Enlapse, May 14, 2017.

  1. Enlapse
    OP

    Enlapse GBAtemp Regular

    Member
    169
    59
    Dec 21, 2014
    Good evening everybody!

    I have an O3DS with 9.2.0-20E firmware for about a year and half (I was using emunand until now) and I wanted to install A9LHax but following Plailect's guide I got to the part of udsploit and safehax to get CTRTransfer but after running udsploit and press START to return the homebrew launcher, and then go to safehax, I get the message "PM INIT FAILED" and I have read that the problem is that I'm not on 11.x, so, is there any other way (actually safe) to downgrade to 2.1 and get OTP?

    Thank you!
     
  2. gamemasteru03

    gamemasteru03 Nintendo nerd

    Member
    794
    318
    Sep 18, 2016
    United States
    Did you make sure that your wireless comunication is on because udsploit uses that. Quote from 3ds.guide "Ensure your device’s Wireless Communication is turned on as udsploit will need the wireless module to be active to function. Wireless Communication only has to be on; connecting it to an access point is not required."
     
    Last edited by gamemasteru03, May 14, 2017
    Enlapse likes this.
  3. MsMidnight

    MsMidnight part time fe modder

    Member
    1,753
    1,308
    Oct 12, 2015
    kys
    you generally dont need safehax, due to being on an exploitable fw that also has kernel access. I'd try the browser exploit or something similar to launch it
     
    Enlapse likes this.
  4. Enlapse
    OP

    Enlapse GBAtemp Regular

    Member
    169
    59
    Dec 21, 2014
    You were actually right. I didn't turn my Wi-Fi on. How stupid can I be? Thank you very much. Dowgrading now!

    Thank you for your answer, I think I could have done that, but I'm not so smart at the moment. The problem was that I didn't have my wireless on.
     
  5. Paccc

    Paccc Advanced Member

    Newcomer
    52
    7
    Jun 17, 2016
  6. Enlapse
    OP

    Enlapse GBAtemp Regular

    Member
    169
    59
    Dec 21, 2014
    Yeah, I tried both. Latest and r19, none of them seemed to work because the problem was with the wireless adapter.
     
  7. Xyphoseos

    Xyphoseos Hack or no games

    Member
    991
    85
    Jun 29, 2016
    France
    Rivière
    launch directly ctrtransfert.3dsx or decrypt9.3dsx in this version is possible, do it and do a ctrtransfert with if
     
  8. Enlapse
    OP

    Enlapse GBAtemp Regular

    Member
    169
    59
    Dec 21, 2014
    Okay. Now I have another problem.

    I have messed up with my actual installation and I restarted everything. I have copied my arm9loaderhax.bin file to another folder outside the 3DS and formatted the SD. Then I have put it back in the root of the SD and booted my 3ds back up. Configured Luma and went to my system menu. Everything alright. Then I created a folder named "payloads" inside /luma with GodMode9.bin, and when I try to boot it (I hold start before and while booting), the Luma Chainloader shows and I select Godmode9 and I get:

    An exception occurred

    Processor: ARM9
    Exception type: undefined instruction

    For sure I have missed something in my SD and I can't figure out what.
    This is what my SD looks like.

    Thank you everyone!
     

    Attached Files:

  9. GraFfiX420

    GraFfiX420 GBAtemp Regular

    Member
    151
    43
    Oct 14, 2009
    United States
    Don't the payloads need to be named with the corresponding button you want to use to launch them? I haven't messed with my 3ds in a while, but I remember the payloads being named something like a-gm9.bin, b-d9.bin etc..
     
  10. Enlapse
    OP

    Enlapse GBAtemp Regular

    Member
    169
    59
    Dec 21, 2014
    I have read that too. But before messing up, it wasn't necessary nor 3ds.guide said it, so... I will try anyways. But I can reach to "start" godmode9, but when I press "A" (in the payload list indicating "Godmode9") I get that error.
     
  11. KunoichiZ

    KunoichiZ GBAtemp Guru

    Member
    8,410
    3,522
    Mar 16, 2012
    United States
    Luma 7.0+ made it so where you don't need to do that anymore and, when you press Start on boot, you load into a chainloader where you can then choose a payload. However, the feature from 6.6 and below still exists for those who liked the previous method.
     
    Last edited by KunoichiZ, May 14, 2017
    GraFfiX420 likes this.
  12. GraFfiX420

    GraFfiX420 GBAtemp Regular

    Member
    151
    43
    Oct 14, 2009
    United States
    I was not aware of that, looks like the OP's problem lies elsewhere then?
     
  13. KunoichiZ

    KunoichiZ GBAtemp Guru

    Member
    8,410
    3,522
    Mar 16, 2012
    United States
    I would imagine so.

    @Enlapse I would bring this up in the Luma3DS thread in the Flashcards and Custom Firmware section.
     
  14. Enlapse
    OP

    Enlapse GBAtemp Regular

    Member
    169
    59
    Dec 21, 2014
    Hm... I will think about it, but not at the moment because of my lack of time.

    Anyways: I "solved" it. Decrypt9WIP did the trick. I only needed to inject FBI to install the other CIAs, but I loved how GodMode9 worked (easy as a pie, and without the need of dump h&s) but well. I used Decrypt9.

    Thank you anyways, everybody for everything!
     
  15. KunoichiZ

    KunoichiZ GBAtemp Guru

    Member
    8,410
    3,522
    Mar 16, 2012
    United States
    Well, even if you don't need it now, it might be a good idea to just mention it so that in case someone runs into that issue, there is a possible solution to fix it.
     
  16. Enlapse
    OP

    Enlapse GBAtemp Regular

    Member
    169
    59
    Dec 21, 2014
    I will. But I don't understand how this would be a Luma problem if before formatting my SD GodMode9 worked. But it could be a Luma problem, of course (Decrypt9 and Hourglass9 worked perfectly in the chainloader though).